<?php
require_once("../includes/clase_sesion.php");
$sesion=new sesion(); // inicio la sesion

require_once("../includes/funciones_generales.php");
if(!comprobar_sesion()){
	$ar=array();
	$ar['error']='session';
	echo json_encode($ar);
	exit;
}
require_once("../includes/MySQL.php");
$academia = new Servidor_Base_Datos(AC_CONN_HOST,AC_CONN_USER,AC_CONN_PASS,AC_CONN_DB."".$sesion->get('anio'));

if(isset($_POST['oper'])){
	$acction=$_POST['oper'];
	$codigo=$_POST['id']; //codigo del regidtro

	$codprofesor=$_POST['txtcc'];
	$lugexpdoc=$_POST['txtmpio']; //lugar de expedicion del documento
	$idetipoiden=$_POST['txttip_ident'];
	
	$correspondencia=$_POST['txtpobcor'];// lugar de residencia
	
	$no1pro=$_POST['txtpnom'];
	$no2pro=$_POST['txtsnom'];
	$ap1pro=$_POST['txtpape'];
	$ap2pro=$_POST['txtsape'];
	
	$sexpro=$_POST['txtsexo'];
	$fecnac=$_POST['txtfechanac'];
	$lugnac=$_POST['txtpobnac']; // este lleva el codigo del lugar donde nacio
	
	$telpro=$_POST['txttel'];
	$celpro=$_POST['txtcel'];
	$dirpro=$_POST['txtdirec'];
	$mailpro=$_POST['txtemail'];

	switch($acction){
		case 'del':
			$sql="delete from `pro_profesores`  where cod_profesor='$codigo'";
		break;
		case 'edit';
			$sql="UPDATE pro_profesores
				SET ide_profesor = '$codprofesor', ide_tipoiden = '$idetipoiden', lugexpdoc = '$lugexpdoc', 
				no1_pro = '$no1pro', no2_pro = '$no2pro', ap1_pro = '$ap1pro', ap2_pro = '$ap2pro', sex_pro = '$sexpro', fec_nac = '$fecnac', 
				lugnacimiento_pro = '$lugnac', tel_pro = '$telpro', cel_pro = '$celpro', lugcorrespondencia = '$correspondencia', dir_pro = '$dirpro', 
				mail_pro = '$mailpro'
				WHERE cod_profesor = '$codigo'";
		break;
		case 'add':
			$sql="INSERT INTO pro_profesores (ide_profesor, ide_tipoiden, lugexpdoc, no1_pro, no2_pro, ap1_pro, ap2_pro, sex_pro, fec_nac, 
				lugnacimiento_pro, tel_pro, cel_pro, lugcorrespondencia, dir_pro, mail_pro)
				VALUES ('$codprofesor', '$idetipoiden', '$lugexpdoc', '$no1pro', '$no2pro', '$ap1pro', '$ap2pro', '$sexpro', '$fecnac', 
				'$lugnac', '$telpro', '$celpro', '$correspondencia', '$dirpro', '$mailpro')";
				//sql user
			$sql2="INSERT INTO conf_usuarios
            (login, pass, nombres_usu, apellidos_usu, num_identificacion, mail_usuario, ide_cargo, tipo_usu, active)
				VALUES ('$codprofesor', '".hashCripPwd($codprofesor)."', '$no1pro $no2pro', '$ap1pro $ap2pro', '$codprofesor', '$mailpro', '4', '1', 'N');";
		break;
		default:
			$sql="";
	}
//echo $sql;
	if($sql!=''){
		$academia->instruccion($sql);
		if($acction=='add'){
			
			$rta=array('error'=>$academia->extraer_error(),'id'=>$academia->ultima_fila() , sql=>$sql);
			$academia->instruccion($sql2);
			echo json_encode($rta);
		}else{
			$rta=array('error'=>$academia->extraer_error(),'id'=>$codigo);
			echo json_encode($rta);
		}
	}	
}
$academia->cerrar();
?>